(3)

NAME
boost::intrusive::pointer_plus_bits<boost::interprocess::offset_ptr<_T_>,_NumBits>

SYNOPSIS

// In header: <boost/interprocess/offset_ptr.hpp>
template<typename T, std::size_t NumBits>
struct pointer_plus_bits<boost::interprocess::offset_ptr< T >, NumBits> {
  // types
  typedef boost::interprocess::offset_ptr< T > pointer;
  // public static functions
  static pointer get_pointer(const pointer &);
  static void set_pointer(pointer &, pointer);
  static std::size_t get_bits(const pointer &);
  static void set_bits(pointer &, std::size_t);
  static const std::size_t Mask;
};

DESCRIPTION

  pointer_plus_bits public static functions

    1.

    static pointer get_pointer(const pointer & n);

    2.

    static void set_pointer(pointer & n, pointer p);

    3.

    static std::size_t get_bits(const pointer & n);

    4.

    static void set_bits(pointer & n, std::size_t b);